StartNotebookExport
Starts a notebook export in Amazon SageMaker Unified Studio. This operation exports a notebook to a specified file format and stores the output in Amazon Simple Storage Service.
Request Syntax
POST /v2/domains/domainIdentifier/notebook-exports HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"fileFormat": "string",
"notebookIdentifier": "string",
"owningProjectIdentifier": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- domainIdentifier
-
The identifier of the Amazon SageMaker Unified Studio domain in which to export the notebook.
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier to ensure idempotency of the request. This field is automatically populated if not provided.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[\x21-\x7E]+Required: No
- fileFormat
-
The file format for the notebook export. Valid values are
PDFandIPYNB.Type: String
Valid Values:
PDF | IPYNBRequired: Yes
- notebookIdentifier
-
The identifier of the notebook to export.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36}Required: Yes
- owningProjectIdentifier
-
The identifier of the project that owns the notebook.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36}Required: Yes
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"createdAt": number,
"createdBy": "string",
"domainId": "string",
"fileFormat": "string",
"id": "string",
"notebookId": "string",
"owningProjectId": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- createdAt
-
The timestamp of when the notebook export was started.
Type: Timestamp
- createdBy
-
The identifier of the user who started the notebook export.
Type: String
- domainId
-
The identifier of the Amazon SageMaker Unified Studio domain.
Type: String
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36} - fileFormat
-
The file format of the notebook export.
Type: String
Valid Values:
PDF | IPYNB - id
-
The identifier of the notebook export.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - notebookId
-
The identifier of the notebook.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - owningProjectId
-
The identifier of the project that owns the notebook.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - status
-
The status of the notebook export.
Type: String
Valid Values:
IN_PROGRESS | SUCCEEDED | FAILED
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
There is a conflict while performing this action.
HTTP Status Code: 409
- InternalServerException
-
The request has failed because of an unknown error, exception or failure.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource cannot be found.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request has exceeded the specified service quota.
HTTP Status Code: 402
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- UnauthorizedException
-
You do not have permission to perform this action.
HTTP Status Code: 401
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: